#ifndef _MPL115A2_H_
#define _MPL115A2_H_

#include "I2C_RW.h"

#define MPL115A2_DEFAULT_ADDRESS	0x60

#define	MPL115A2_Padc_MSB		0x00
#define	MPL115A2_Padc_LSB		0x01
#define	MPL115A2_Tadc_MSB		0x02
#define	MPL115A2_Tadc_LSB		0x03
#define	MPL115A2_a0_MSB			0x04
#define	MPL115A2_a0_LSB			0x05
#define	MPL115A2_b1_MSB			0x06
#define	MPL115A2_b1_LSB			0x07
#define	MPL115A2_b2_MSB			0x08
#define	MPL115A2_b2_LSB			0x09
#define	MPL115A2_c12_MSB		0x0A
#define	MPL115A2_c12_LSB		0x0B
#define	MPL115A2_CONVERT		0x12
  
class MPL115A2 {
	public:
		MPL115A2();
		MPL115A2(uint8_t address);
		void setup();
		float getPressure();
		float getTemperature();
		void getPT(float *P, float *T);
  
	private:
		uint8_t devAddr;
		float a0;
		float b1;
		float b2;
		float c12;
		
		void readCoefficients();
};

#endif /* _MPL115A2_H_ */
